- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.ListLicenseConfigsUsageStatsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#body.aspect_1)
- [LicenseConfigUsageStats](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats.SCHEMA_REPRESENTATION)

Lists all the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats`s associated with the project.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/userStores/*}/licenseConfigsUsageStats`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent branch resource name, such as `projects/{project}/locations/{location}/userStores/{userStoreId}`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#google.cloud.discoveryengine.v1beta.UserLicenseService.ListLicenseConfigsUsageStats` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "licenseConfigUsageStats": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats`) } ] } ``` |

| Fields ||
|---|---|
| `licenseConfigUsageStats[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats`)`` All the customer's `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.userStores.licenseConfigsUsageStats/list#LicenseConfigUsageStats`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.userStores.listUserLicenses`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LicenseConfigUsageStats

Stats about users' licenses.

| JSON representation |
|---|
| ``` { "licenseConfig": string, "usedLicenseCount": string } ``` |

| Fields ||
|---|---|
| `licenseConfig` | `string` Required. The LicenseConfig name. |
| `usedLicenseCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The number of licenses used. |